# $Revision: 1.22 $, $Date: 2010/12/31 11:36:57 $
Summary:	Cairo - multi-platform 2D graphics library - cross MinGW32 version
Summary(pl.UTF-8):	Cairo - wieloplatformowa biblioteka graficzna 2D - skrośna wersja MinGW32
%define		realname   cairo
Name:		crossmingw32-%{realname}
Version:	1.10.2
Release:	1
License:	LGPL v2.1 or MPL v1.1
Group:		Development/Libraries
Source0:	http://cairographics.org/releases/%{realname}-%{version}.tar.gz
# Source0-md5:	f101a9e88b783337b20b2e26dfd26d5f
Patch0:		cairo-link.patch
URL:		http://cairographics.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9.6
BuildRequires:	crossmingw32-fontconfig >= 2.2.95
BuildRequires:	crossmingw32-freetype >= 2.3.0
BuildRequires:	crossmingw32-glib2 >= 2.0
BuildRequires:	crossmingw32-libpng
BuildRequires:	crossmingw32-pixman >= 0.18.4
BuildRequires:	crossmingw32-zlib
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.15
Requires:	crossmingw32-fontconfig >= 2.2.95
Requires:	crossmingw32-freetype >= 2.3.0
Requires:	crossmingw32-libpng
Requires:	crossmingw32-pixman >= 0.18.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Cairo obsługuje oparty na wektorach rendering z antyaliasingiem dla X.
Ścieżki składają się z odcinków i splajnów kubicznych, a renderowane
mogą być z dowolną grubością i różnymi stylami połączeń i zakończeń.
Wszystkie kolory mogą być podane z opcjonalną półprzezroczystością
(podaną przez współczynnik nieprzezroczystości lub alpha) i łączone
przy użyciu rozszerzonego algorytmu składania Portera-Duffa, który
można znaleźć w rozszerzeniu X Render.

Cairo eksportuje stanowe API renderujące w duchu podobne do operatorów
konstruowania ścieżek, tekstu i rysowania z PostScriptu (ze znacznym
dodatkiem półprzezroczystości w modelu obrazu). Kiedy API zostanie
ukończone, ma obsługiwać pełny model obrazu z PDF w wersji 1.4.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static Cairo library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka Cairo (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static Cairo library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka Cairo (wersja skrośna MinGW32).

%package dll
Summary:	DLL Cairo library for Windows
Summary(pl.UTF-8):	Biblioteka DLL Cairo dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-fontconfig-dll >= 2.2.95
Requires:	crossmingw32-freetype-dll >= 2.3.0
Requires:	crossmingw32-libpng-dll
Requires:	crossmingw32-pixman-dll >= 0.18.4

%description dll
DLL Cairo library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL Cairo dla Windows.

%package gobject
Summary:	Cairo GObject functions library - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteka funkcji Cairo GObject - wersja skrośna MinGW32 
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	crossmingw32-glib2 >= 2.0

%description gobject
Cairo GObject functions library - cross MinGW32 version.

%description gobject -l pl.UTF-8
Biblioteka funkcji Cairo GObject - wersja skrośna MinGW32.

%package gobject-static
Summary:	Static Cairo GObject library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka Cairo GObject (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name}-gobject = %{version}-%{release}

%description gobject-static
Static Cairo GObject library (cross MinGW32 version).

%description gobject-static -l pl.UTF-8
Statyczna biblioteka Cairo GObject (wersja skrośna MinGW32).

%package gobject-dll
Summary:	DLL Cairo GObject library for Windows
Summary(pl.UTF-8):	Biblioteka DLL Cairo GObject dla Windows
Group:		Applications/Emulators
Requires:	%{name}-dll = %{version}-%{release}
Requires:	crossmingw32-glib2-dll >= 2.0

%description gobject-dll
DLL Cairo GObject library for Windows.

%description gobject-dll -l pl.UTF-8
Biblioteka DLL Cairo GObject dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig
%{__libtoolize}
%{__aclocal} -I build
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	CPPFLAGS="%{rpmcppflags} -Dffs=__builtin_ffs" \
	lt_cv_deplibs_check_method=pass_all \
	--target=%{target} \
	--host=%{target} \
	--disable-gtk-doc \
	--disable-silent-rules \
	--disable-xlib \
	--disable-xlib-render \
	--enable-freetype \
	--enable-pdf \
	--enable-png \
	--enable-ps \
	--enable-windows

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# COPYING contains only notes, not LGPL/MPL texts
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libcairo.dll.a
%{_libdir}/libcairo.la
%{_libdir}/libcairo-script-interpreter.dll.a
%{_libdir}/libcairo-script-interpreter.la
%{_includedir}/cairo
%exclude %{_includedir}/cairo/cairo-gobject.h
%{_pkgconfigdir}/cairo.pc
%{_pkgconfigdir}/cairo-fc.pc
%{_pkgconfigdir}/cairo-ft.pc
%{_pkgconfigdir}/cairo-pdf.pc
%{_pkgconfigdir}/cairo-png.pc
%{_pkgconfigdir}/cairo-ps.pc
%{_pkgconfigdir}/cairo-svg.pc
%{_pkgconfigdir}/cairo-win32.pc
%{_pkgconfigdir}/cairo-win32-font.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcairo.a
%{_libdir}/libcairo-script-interpreter.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libcairo-2.dll
%{_dlldir}/libcairo-script-interpreter-2.dll

%files gobject
%defattr(644,root,root,755)
%{_libdir}/libcairo-gobject.dll.a
%{_libdir}/libcairo-gobject.la
%{_includedir}/cairo/cairo-gobject.h
%{_pkgconfigdir}/cairo-gobject.pc

%files gobject-static
%defattr(644,root,root,755)
%{_libdir}/libcairo-gobject.a

%files gobject-dll
%defattr(644,root,root,755)
%{_dlldir}/libcairo-gobject-2.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-cairo.spec,v $
Revision 1.22  2010/12/31 11:36:57  qboosh
- updated to 1.10.2

Revision 1.21  2010/09/18 16:19:17  qboosh
- updated to 1.10.0

Revision 1.20  2010/03/24 06:11:36  qboosh
- updated to 1.8.10

Revision 1.19  2008/12/25 07:30:52  qboosh
- updated to 1.8.6

Revision 1.18  2008/11/14 21:15:46  qboosh
- updated to 1.8.4

Revision 1.17  2008/10/30 19:48:32  qboosh
- updated to 1.8.2

Revision 1.16  2008/09/29 18:32:03  qboosh
- updated to 1.8.0

Revision 1.15  2008/04/13 10:25:33  qboosh
- updated to 1.6.4

Revision 1.14  2008-01-15 20:24:14  qboosh
- updated to 1.4.14

Revision 1.13  2008-01-14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.12  2007-12-04 17:00:53  qboosh
- CVE reference

Revision 1.11  2007-11-28 19:38:30  qboosh
- updated to 1.4.12
- explicit .pc files list to track enabled/disabled backends
[fixes CVE-2007-5503]

Revision 1.10  2007-10-20 22:21:56  wolf
- don't disable svg

Revision 1.9  2007/08/28 17:15:10  qboosh
- for crosscompiling use PKG_CONFIG_LIBDIR instead of PKG_CONFIG_PATH

Revision 1.8  2007/07/01 11:55:56  qboosh
- updated to 1.4.10

Revision 1.7  2007/06/12 22:29:07  qboosh
- updated to 1.4.8

Revision 1.6  2007/05/07 16:39:25  qboosh
- updated to 1.4.6

Revision 1.5  2007/04/15 10:13:52  qboosh
- updated to 1.4.4

Revision 1.4  2007/03/08 08:41:36  qboosh
- updated to 1.4.0

Revision 1.3  2007/03/06 21:28:15  qboosh
- cleanup, separated -static,-dll

Revision 1.2  2007/02/25 15:08:53  czarny
- proper shared + static build

Revision 1.1  2007/02/20 20:16:58  czarny
- new based on cairo.spec
